"The version of SQL Server instance %InstanceName% is not supported"

  • Article ID: 116222
  • Updated: 20 Jun 2013

Issue

When upgrading from Enterprise Console version 4.0 to version 5.0 the following error message may be displayed:

Invalid SQL Server Instance
The version of SQL Server instance CUSTOM is not supported.

Note:  Where 'CUSTOM' is the name of your instance.

The following error can be seen in the Sophos_bootstrapper [timestamp].log as found in the installing users temporary directory (Start | Run | Type: %temp% | Press return):

ERROR : COM error. Conexion string: Provider='sqloledb'; Data Source='(local)\CUSTOM'; Integrated Security='SSPI'; - Error: IDispatch error #3092
ERROR : Could not obtain the sql version of the current instance for upgrading
INFO : Version of SQL server set to: 0.0.0

First seen in

Enterprise Console 5.0.0

Cause

This error will only be shown if:

  1. You are upgrading from Enterprise Console version 4.0 to version 5.0.
  2. The version of SQL Server in use with version 4.0 is Microsoft Desktop Engine (MSDE) or SQL Server 2000.
  3. the database account page is displayed as part of an upgrade.  
    The installer will show the database page if:
    1. The previous database account specified does not have a User Principal Name (UPN).
    2. The previous installation did not specify a database account but used a local SQL instance with a custom instance name.  
      Note: This case would require manual removal of database account registry keys as for a custom installation of SQL Server to be used, a database account would have been requested as part of a custom installation.

The query to obtain the version of SQL server fails to establish the version during the initial pre-checks.  This allows the installer to potentially reach the "Database Details" page (providing either of the conditions mentioned in the "Issues" section above are met) before detecting that the SQL version is not compatible with Enterprise Console version 5.0.

This defect has been assigned the defect number "DEF77195" and will be fixed in a future version of Enterprise Console.

What To Do

You should upgrade the version of SQL used with console 4.0 to SQL 2005 Express or higher before performing the upgrade.  For more information on how to upgrade MSDE to SQL Express 2008 see the appropriate Microsoft documentation (e.g., Upgrading MSDE 2000 to SQL Server 2005 Express).


 
If you need more information or guidance, then please contact technical support.

Rate this article

Very poor Excellent

Comments